## kbdd 0.10Maemo0-6

=== .pc/debian-changes-0.10Maemo0-1/Makefile ===
#CC	=	gcc
CFLAGS	=	-Wall -Os

VERSION	=	\"V0.10\"
CFLAGS	+=	-DVERSION=$(VERSION)

# for use with LIRC, uncomment the following two lines
# CFLAGS += -DUSELIRC
# LDFLAGS += -llirc_client

#######################################################################

SRC	=	kbd.c dev_uinput.c
OBJ	=	kbd.o dev_uinput.o

all:	kbdd

kbdd:	$(OBJ)
	$(CC) -s -o kbdd $(OBJ) $(LDFLAGS)

kbd.o:	kbd.c keyboards.h

libvirtkeys.o:	libvirtkeys.c libvirtkeys.h

clean:
	rm -f $(OBJ) kbdd

## kbdd 0.6

=== debian/changelog ===
kbdd (0.6-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:58:58 +1100

kbdd (0.6-4build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:13:33 +0000

kbdd (0.6-4build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:30:35 +0000

kbdd (0.6-4) unstable; urgency=low

  * debian/patches:
    - add group-lost-on-focus-change-fix patch (Closes: #644661).
  * debian/rules:
    - allow for a debug build.
  * debian/control
    - amend debhelper dependency to >= 7.0.50~.

 -- Stanislav Maslovski <stanislav.maslovski@gmail.com>  Thu, 03 May 2012 05:57:47 +0400

kbdd (0.6-3) unstable; urgency=low

  * debian/patches:
    - add glib-headers-fix patch to fix FTBFS
      with glib >= 2.31 (Closes: #665562).
  * debian/control:
    - bump Standards-Version to 3.9.3.

 -- Stanislav Maslovski <stanislav.maslovski@gmail.com>  Sun, 25 Mar 2012 01:45:39 +0400

kbdd (0.6-2) unstable; urgency=low

  * debian/control:
    - add missing dependency on dbus-x11 (Closes: #638947).
  * debian/patches:
    - add man-page-fixes patch.

 -- Stanislav Maslovski <stanislav.maslovski@gmail.com>  Sat, 27 Aug 2011 15:57:39 +0400

kbdd (0.6-1) unstable; urgency=low

  * Initial release (Closes: #636262).

 -- Stanislav Maslovski <stanislav.maslovski@gmail.com>  Tue, 02 Aug 2011 18:16:26 +0400

=== debian/control ===
Source: kbdd
Section: x11
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stanislav Maslovski <stanislav.maslovski@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libx11-dev, libglib2.0-dev, libdbus-glib-1-dev
Standards-Version: 3.9.3
Homepage: https://github.com/qnikst/kbdd

Package: kbdd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11
Description: Per-window keyboard layout switching daemon for X
 KBDD stands for keyboard daemon. It is a simple keyboard layout
 switching program, which is designed to run in an X11 session and
 remember keyboard layouts on a per-window basis. That can be very
 handy for a user of a non-US keyboard who does not want to jump
 through layouts back and forth while typing in terminals (mostly in
 latin) and some kind of chat (in native language). Another useful
 thing about KBDD is its D-Bus notification support — it can emit
 signals on layout change, thus, making it possible to create layout
 indicator widgets in such window managers as awesome, for example.
 .
 Users of popular desktop environments such as GNOME or KDE most
 likely do not need this package, as a similar functionality should
 be already available within their environment. This package may be
 of interest, however, for the users of tiling or dynamic window
 managers such as dwm or awesome.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
override_dh_auto_configure:
	dh_auto_configure -- --enable-debug
endif

=== debian/watch ===
version=3
https://github.com/qnikst/kbdd/downloads    .*/kbdd-(.*)\.tar\.bz2

## kbdd 0.7.1

=== debian/changelog ===
kbdd (0.7.1-1) unstable; urgency=medium

  [ Stanislav Maslovski ]
  * New upstream version (Closes: #673420, #1082512).
  * Acknowledge fixes by Andreas Tille:
    - Set Vcs-fields
    - Depends: dbus-x11 => default-dbus-session-bus | dbus-session-bus
      Closes: #836101, #1079493
    - Fix watch file
    - Standards-Version: 4.7.2
    - debhelper-compat 13 (routine-update)
    - Rules-Requires-Root: no (routine-update)
    - Fix spelling in description
    - Enable hardening options
    - DEP5

  [ Andreas Tille ]
  * Fix build with gcc-15
    Closes: #1096904

 -- Stanislav Maslovski <stanislav.maslovski@gmail.com>  Fri, 18 Apr 2025 17:43:00 +0100

=== debian/control ===
Source: kbdd
Maintainer: Stanislav Maslovski <stanislav.maslovski@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libglib2.0-dev,
               libdbus-glib-1-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/smaslovski/kbdd
Vcs-Git: https://salsa.debian.org/smaslovski/kbdd.git
Homepage: https://github.com/qnikst/kbdd
Rules-Requires-Root: no

Package: kbdd
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         default-dbus-session-bus | dbus-session-bus
Description: Per-window keyboard layout switching daemon for X
 KBDD stands for keyboard daemon. It is a simple keyboard layout
 switching program, which is designed to run in an X11 session and
 remember keyboard layouts on a per-window basis. That can be very
 handy for a user of a non-US keyboard who does not want to jump
 through layouts back and forth while typing in terminals (mostly in
 Latin) and some kind of chat (in native language). Another useful
 thing about KBDD is its D-Bus notification support — it can emit
 signals on layout change, thus, making it possible to create layout
 indicator widgets in such window managers as awesome, for example.
 .
 Users of popular desktop environments such as GNOME or KDE most
 likely do not need this package, as a similar functionality should
 be already available within their environment. This package may be
 of interest, however, for the users of tiling or dynamic window
 managers such as dwm or awesome.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 %:
 	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/qnikst/kbdd/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## kbdd 0.10Maemo0

=== debian/changelog ===
kbdd (0.10Maemo0-5) unstable; urgency=low

  * remove bogus line in upstart script
  * fix package description

 -- Ralf Dragon <dragon@tnt.uni-hannover.de>  Wed, 4 Jan 2012 11:37:16 +0100

kbdd (0.10Maemo0-4) unstable; urgency=low

  * FIRST CHANGELOG WRITTEN BY A KBDD KEYBOARD
  * wait after binding rfcomm
  * add keyboards to description
  * make backup copies of files to be overwritten
    by the configure kbdd script
  * create icon to configure kbdd and remove icons to start and stop kbdd
  * update package description
  * change backup mode to be able to use busybox mv

 -- Ralf Dragon <dragon@tnt.uni-hannover.de>  Sun, 1 Jan 2012 20:10:16 +0100

kbdd (0.10Maemo0-3) unstable; urgency=low

  * set bugtracker and homepage to garage page

 -- Ralf Dragon <dragon@tnt.uni-hannover.de>  Fri, 30 Dec 2011 22:14:42 +0100

kbdd (0.10Maemo0-2) unstable; urgency=low

  * update control and copying filies

 -- Ralf Dragon <dragon@tnt.uni-hannover.de>  Fri, 30 Dec 2011 21:27:42 +0100

kbdd (0.10Maemo0-1) unstable; urgency=low

  * package kbdd
  * update kbdd to maemo 5
  * create upstart scripts
  * create device detection script kbdd_create_config
  * create desktop files and icons

 -- Ralf Dragon <dragon@tnt.uni-hannover.de>  Fri, 30 Dec 2011 20:21:42 +0100

=== debian/control ===
Source: kbdd
Section: user/system
Priority: extra
Maintainer: Ralf Dragon <dragon@tnt.uni-hannover.de>
Build-Depends: debhelper (>= 7.0.50~), libc-dev
Standards-Version: 3.8.4
Homepage: http://kbdd.garage.maemo.org
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=7637&group_id=2285&func=browse
#Vcs-Git: git://norgay.homelinux.org/srv/git/kbdd
#Vcs-Browser: http://git.debian.org/?p=collab-maint/kbdd.git;a=summary

Package: kbdd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Description: kbdd for serial bluetooth keyboards
 kbdd is a daemon to connect serial bluetooth keyboards to uinput
 .
 kbdd can enable the following bluetooth keyboards:
        foldable  - Compaq/HP foldable keyboard
        stowaway  - Targus Stowaway keyboard
        stowawayxt - Stowaway XT
        snapntype - Snap'n'Type
        hpslim    - HP Slim keyboard
        smartbt   - Smart Bluetooth keyboard
        lirc      - LIRC consumer IR
        belkinir  - Belkin IR (not IrDA)
        flexis    - Flexis FX-100 keyboard
        g250      - Benq G250 gamepad
        pocketvik - GrandTec PocketVIK
        microfold - Micro Innovations Foldaway keyboard
        micropad  - Micro Innovations Datapad
        microkbd  - Compaq MicroKeyboard
        freedom   - Freedom keyboard (patched layout of bottom row)
        btfoldable - HP iPAQ Bluetooth Foldable Keyboard
        elektex   - Elektex Cloth Keyboard
        elektex_unmapped - Elektex Cloth Keyboard (Unmapped)
 .
 To enable kbdd for your keyboard, two steps are neccessary
  - Pair the device such that it
    appears in the bluetooth device list.
  - Specify the keyboard driver using
    the kbdd config button.
 The bluetooth icon turns from white to blue if the keyboard
 is connected and a banner gets displayed.
 .
 The kbdd daemon tries to connect to the keyboard every 30s,
 so the battery drain should not be too big. It connects
 to the uinput kernel module to create a virtual keyboard.
 The extkbd package can be used to automatically configure
 the keyboard layout.
 .
 The original kbdd was spiced up with maemo patches to
 output a banner if the keyboard connected or disconnected.
 Since I only own a freedom keyboard, so far I only provide
 maemo patches for the freedom driver. However, the
 non-patched kbdd shoud run out of the box (without
 output banner).

## kbdd 0.10Maemo0-6

=== debian/changelog ===
kbdd (0.10Maemo0-6) unstable; urgency=low

  * add -n option for testing (no key events are sent to dbus)
  * update instructions in package description

 -- Ralf Dragon <dragon@tnt.uni-hannover.de>  Fri, 13 Jan 2012 18:42:59 +0100

=== debian/control ===
--- 
+++ 
@@ -55,3 +55,12 @@
  maemo patches for the freedom driver. However, the
  non-patched kbdd shoud run out of the box (without
  output banner).
+ .
+ Unluckily there are quite a few different freedom keyboards around.
+ There is the
+ [a href="http://www.treocentral.com/images/admin_uploaded/1115839015.gif"]freedom
+ keyboard[/a] (which the freedom driver supports), the
+ [a href="http://www.freedominput.com/images/site/products/keyboards/iconnect/gallery//i-connect-with-iphone.png"]freedom
+ i-connex[/a], the [a href="http://i.imgur.com/ng00m.jpg"]freedom universal keyboard 2[/a] and the
+ [a href="http://www.freedominput.com/shop?page=shop.product_details&category_id=6&flypage=flypage.tpl&product_id=63&vmcchk=1"]freedom
+ pro[/a].

## kbdd 0.10Maemo0-6.1

=== Makefile ===
#CC	=	gcc
CFLAGS	=	-Wall -Os

VERSIONNR =     0.10Maemo0
VERSION	=	\"V$(VERSIONNR)\"
CFLAGS	+=	-DVERSION=$(VERSION)

# for use with LIRC, uncomment the following two lines
# CFLAGS += -DUSELIRC
# LDFLAGS += -llirc_client

#######################################################################

SRC	=	kbd.c dev_uinput.c
OBJ	=	kbd.o dev_uinput.o

all:	kbdd

install: kbdd kbdd_create_config
	mkdir -p $(DESTDIR)/usr/bin
	cp -a $^ $(DESTDIR)/usr/bin
	cp -ar install/etc install/usr $(DESTDIR)

kbdd:	$(OBJ)
	$(CC) -s -o kbdd $(OBJ) $(LDFLAGS)

kbd.o:	kbd.c keyboards.h

clean:
	rm -f $(OBJ) kbdd

tgz:  kbdd-$(VERSIONNR)

kbdd-$(VERSIONNR).tgz:
	tar czvf $@ Makefile kbd.c keyboards.h README COPYING install

preparedeb: kbdd-$(VERSIONNR).tgz
	mkdir kbdd-$(VERSIONNR)
	cd kbdd-$(VERSIONNR) && tar xzvf ../kbdd-$(VERSIONNR).tgz

deb:
	dpkg-buildpackage -sa -rfakeroot

=== debian/changelog ===
kbdd (0.10Maemo0-6.1) unstable; urgency=low

  * update documentation (html tags, bugs)
  * add bug confirmation

 -- Ralf Dragon <dragon@tnt.uni-hannover.de>  Tue, 24 Jan 2012 07:43:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,10 @@
 Standards-Version: 3.8.4
 Homepage: http://kbdd.garage.maemo.org
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=7637&group_id=2285&func=browse
-#Vcs-Git: git://norgay.homelinux.org/srv/git/kbdd
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/kbdd.git;a=summary
 
 Package: kbdd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends} 
+Depends: ${shlibs:Depends}, ${misc:Depends}, maemo-installer-utils 
 Description: kbdd for serial bluetooth keyboards
  kbdd is a daemon to connect serial bluetooth keyboards to uinput
  .
@@ -58,9 +56,9 @@
  .
  Unluckily there are quite a few different freedom keyboards around.
  There is the
- [a href="http://www.treocentral.com/images/admin_uploaded/1115839015.gif"]freedom
- keyboard[/a] (which the freedom driver supports), the
- [a href="http://www.freedominput.com/images/site/products/keyboards/iconnect/gallery//i-connect-with-iphone.png"]freedom
- i-connex[/a], the [a href="http://i.imgur.com/ng00m.jpg"]freedom universal keyboard 2[/a] and the
- [a href="http://www.freedominput.com/shop?page=shop.product_details&category_id=6&flypage=flypage.tpl&product_id=63&vmcchk=1"]freedom
- pro[/a].
+ <a href="http://www.treocentral.com/images/admin_uploaded/1115839015.gif">freedom
+ keyboard</a> (which the freedom driver supports), the
+ <a href="http://www.freedominput.com/images/site/products/keyboards/iconnect/gallery//i-connect-with-iphone.png">freedom
+ i-connex</a>, the <a href="http://i.imgur.com/ng00m.jpg">freedom universal keyboard 2</a> and the
+ <a href="http://www.freedominput.com/shop?page=shop.product_details&category_id=6&flypage=flypage.tpl&product_id=63&vmcchk=1">freedom
+ pro</a>.
